<form action="{$VAL_SELF}" method="post" enctype="multipart/form-data">
  <div id="{$PLUGIN_NAME}" class="tab_content">
	<h3>{$PLUGIN_TITLE}</h3>

	<fieldset><legend>{$LANG.file_upload.settings}</legend>
		<div><label for="status">{$LANG.common.status}</label><span><input type="hidden" name="module[status]" id="status" class="toggle" value="{$MODULE.status}" />&nbsp;</span></div>
		<div><label for="allowed_file_extensions">{$LANG.file_upload.allowed_file_extensions}</label><span><input name="module[allowed_file_extensions]" id="allowed_file_extensions" class="textbox" type="text" value="{$MODULE.allowed_file_extensions}" /></span></div>
	</fieldset>

	<fieldset><legend>{$LANG.file_upload.php_settings}</legend>
		<div><label for="status">{$LANG.file_upload.file_upload_enabled}</label><span>{if $FILE_UPLOAD_ENABLED == 1}<span style="color:green;">{$LANG.file_upload.yes}{else}<span style="color:red;">{$LANG.file_upload.no} - {$LANG.file_upload.file_upload_error}{/if}</span></div>
		<div><label for="status">{$LANG.file_upload.post_max_size}</label><span>{$FILE_UPLOAD_POST_MAX_SIZE}</span></div>
		<div><label for="status">{$LANG.file_upload.upload_max_filesize}</label><span>{$FILE_UPLOAD_UPLOAD_MAX_SIZE}</span></div>
		<div><label for="status">{$LANG.file_upload.your_max_file_size}</label><span style="color:green;">{$FILE_UPLOAD_ACTIVE_MAX_FILE_SIZE}</span></div>
		<div><label for="status">{$LANG.file_upload.temp_dir_writable}</label>{if $FILE_UPLOAD_TEMPORARY_FILE_STORE_WRITABLE === true}<span style="color:green;">{$LANG.file_upload.yes}{else}<span style="color:red;">{$LANG.file_upload.no} - {$LANG.file_upload.perm_make_writable}{/if}</span></div>
		<div><label for="status">{$LANG.file_upload.storage_dir_writable}</label>{if $FILE_UPLOAD_PERMANENT_FILE_STORE_WRITABLE === true}<span style="color:green;">{$LANG.file_upload.yes}{else}<span style="color:red;">{$LANG.file_upload.no} - {$LANG.file_upload.temp_make_writable}{/if}</span></div>
	</fieldset>	
	
	<fieldset><legend>{$LANG.file_upload.license_settings}</legend>
		<div><label for="ndl_license_key">{$LANG.file_upload.license_key}</label><span><input name="module[ndl_license_key]" id="ndl_license_key" class="textbox" type="text" value="{$PLUGIN_LICENSE_KEY}" /></span></div>

		{$PLUGIN_LICENSE_STATUS}
		{$PLUGIN_SUPPORT_STATUS}
		{if isset($PLUGIN_SUPPORT_ENDS)}
			{$PLUGIN_SUPPORT_ENDS}	
		{/if}
		
		<input type="hidden" name="module[general_tab]" value="general_tab">
	</fieldset>

	<fieldset><legend>{$LANG.file_upload.version_and_messages}</legend>
		<div>Version: {$PLUGIN_VERSION} </div>
		{if isset($PLUGIN_MESSAGES)}
			{$PLUGIN_MESSAGES}
		{/if}
	</fieldset>	
	
	<!-- CHANGES
	in 2.cubecart.js
	}else if($(this).is('input:file') && $(this).val() !== '') {
            if($(this).hasClass('absolute')) { total = ptp = 0; absolute = true; }
            total += parseFloat($(this).attr("data-price"));
		}	
	-->
	
  <div class="form_control">
	<input type="submit" value="{$LANG.common.save}" />
  </div>
  <input type="hidden" name="token" value="{$SESSION_TOKEN}" />
  </div>
  
  <div id="install_guide" class="tab_content">

  	<style>
		pre {
			background-color: #f8f8f8;
			border: 1px solid #ccc;
			border-radius: 3px;
			font-size: 13px;
			line-height: 19px;
			overflow: auto;
			padding: 6px 10px;
		}
		pre, code, tt {
			font-family: Consolas,"Liberation Mono",Courier,monospace;
			font-size: 12px;
		}
	</style>
  
	<h3>{$LANG.file_upload.install_guide}</h3>
	<p>{$LANG.file_upload.install_guide_intro}</p>
	<p>{$LANG.file_upload.first_steps}</p>
	<p>{$LANG.file_upload.change_1}<br/>
		{$LANG.file_upload.around_line} 343 {$LANG.file_upload.find}
<pre><code>	} else if (($(this).is('textarea') || $(this).is('input:text')) && $(this).val() !== '') {
            if($(this).hasClass('absolute')) { total = ptp = 0; absolute = true; }
            total += parseFloat($(this).attr("data-price"));
        }</code></pre>	
	{$LANG.file_upload.add_after}
<pre><code>	}else if($(this).is('input:file') && $(this).val() !== '') {
            if($(this).hasClass('absolute')) { total = ptp = 0; absolute = true; }
            total += parseFloat($(this).attr("data-price"));
	}</code></pre>	
	{$LANG.file_upload.after_your_code_looks_like_this}
<pre><code>	} else if (($(this).is('textarea') || $(this).is('input:text')) && $(this).val() !== '') {
            if($(this).hasClass('absolute')) { total = ptp = 0; absolute = true; }
            total += parseFloat($(this).attr("data-price"));
        }else if($(this).is('input:file') && $(this).val() !== '') {
            if($(this).hasClass('absolute')) { total = ptp = 0; absolute = true; }
            total += parseFloat($(this).attr("data-price"));
	}</code></pre>	
	</p>
	
	<hr style="width:90%; border: 1px solid #ddd">
	
	<!-- Change 2 -->
	<p>{$LANG.file_upload.change_2}<br/>
		{$LANG.file_upload.around_line} 14 {$LANG.file_upload.find}
{literal}<pre><code><xmp><form action="{$VAL_SELF}" method="post" class="add_to_basket"></xmp></code></pre>{/literal}
		{$LANG.file_upload.replace_with}
{literal}<pre><code><xmp><form action="{$VAL_SELF}" method="post" class="add_to_basket" id="upload" enctype="multipart/form-data"></xmp></code></pre>{/literal}		
		{$LANG.file_upload.around_line} 72 {$LANG.file_upload.find}
{literal}<pre><code><xmp>                  <option value="{$value.assign_id}"{if $value.absolute_price == '1'}class="absolute"{/if}{if !$CTRL_HIDE_PRICES} data-price="{$value.decimal_price}"{/if}>{$value.value_name}{if $value.price} {$value.symbol}{$value.price}{/if}</option>
                  {/foreach}
                  </select>
                  {/if}
               </div>
            </div></xmp></code></pre>{/literal}		
		{$LANG.file_upload.add_after}
{literal}<pre><code><xmp>			<!-- Start File Upload Options -->
			{elseif $option.type == 101}
				<div class="row">
				   <div class="small-12 columns">
					  <label for="option_{$option.option_id}" class="return">{$option.option_name}{if $option.price} {$option.symbol}{$option.price}{/if}{if $option.required} ({$LANG.common.required}){/if}</label>
					  <input type="file" name="productOptions[{$PRODUCT.product_id}][{$option.option_id}][{$option.assign_id}]" id="option_{$option.option_id}" {if $option.absolute_price == '1'} class="absolute"{/if}{if !$CTRL_HIDE_PRICES} data-price="{$option.decimal_price}"{/if} {if $option.required}required{/if}>
					  <input type="hidden" value="0" name="productOptionsFile[{$PRODUCT.product_id}][{$option.option_id}]" id="option_{$option.option_id}_files">
						<div id="option_{$option.option_id}_progress_wrapper" class="hide progressBarWrapper">
						<div id="option_{$option.option_id}_progress" class="progressBar">
							<div id="option_{$option.option_id}_label" class="progressLabel"></div>
						</div>
					</div>					  
					<div id="option_{$option.option_id}_messages" class="hide"></div>
				   </div>
				</div>
			<!-- End File Upload Options -->            </div></xmp></code></pre>{/literal}				
		{$LANG.file_upload.after_your_code_looks_like_this}
{literal}<pre><code><xmp>            {elseif $option.type == Catalogue::OPTION_SELECT}
            <div class="row">
               <div class="small-12 columns">
                  {* If we only have one required option replace with hidden field *}
                  {if $option.required && count($option.values)===1}
                  <label for="option_{$option.option_id}" class="return">{$option.option_name}</label>
                  {$option.values.0.value_name}{if $option.values.0.price} {$option.values.0.symbol}{$option.values.0.price}{/if}
                  <input type="hidden" name="productOptions[{$option.option_id}]" id="option_{$option.option_id}" value="{$option.values.0.assign_id}"{if !$CTRL_HIDE_PRICES} data-price="{$option.values.0.decimal_price}"{/if}>
                  {else}
                  <label for="option_{$option.option_id}" class="return">{$option.option_name}{if $option.required} ({$LANG.common.required}){/if}</label>
                  <select name="productOptions[{$option.option_id}]" id="option_{$option.option_id}" class="nomarg" {if $option.required}required{/if}>
                  <option value="">{$LANG.form.please_select}</option>
                  {foreach from=$option.values item=value}
                  <option value="{$value.assign_id}"{if $value.absolute_price == '1'}class="absolute"{/if}{if !$CTRL_HIDE_PRICES} data-price="{$value.decimal_price}"{/if}>{$value.value_name}{if $value.price} {$value.symbol}{$value.price}{/if}</option>
                  {/foreach}
                  </select>
                  {/if}
               </div>
            </div>
		<!-- Start File Upload Options -->
		{elseif $option.type == 101}
			<div class="row">
			   <div class="small-12 columns">
				  <label for="option_{$option.option_id}" class="return">{$option.option_name}{if $option.price} {$option.symbol}{$option.price}{/if}{if $option.required} ({$LANG.common.required}){/if}</label>
				  <input type="file" name="productOptions[{$PRODUCT.product_id}][{$option.option_id}][{$option.assign_id}]" id="option_{$option.option_id}" {if $option.absolute_price == '1'} class="absolute"{/if}{if !$CTRL_HIDE_PRICES} data-price="{$option.decimal_price}"{/if} {if $option.required}required{/if}>
				  <input type="hidden" value="0" name="productOptionsFile[{$PRODUCT.product_id}][{$option.option_id}]" id="option_{$option.option_id}_files">
					<div id="option_{$option.option_id}_progress_wrapper" class="hide progressBarWrapper">
					<div id="option_{$option.option_id}_progress" class="progressBar">
						<div id="option_{$option.option_id}_label" class="progressLabel"></div>
					</div>
				</div>					  
				<div id="option_{$option.option_id}_messages" class="hide"></div>
			   </div>
			</div>
		<!-- End File Upload Options -->			
            {else}</xmp></code></pre>{/literal}				
	
	</p>

  </div>
</form>